Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.grogra
Class Analysis

    java.lang.Object
      de.grogra.grogra.Analysis

    public final class Analysis

extends java.lang.Object

This class contains a set of static analysis functions which are similar to the analysis functions of the GROGRA software.

Author:
  Ole Kniemeyer

Method Summary
`static Dataset` | `axesAnalysis(Node root)` Performs axes analysis from GROGRA on the graph starting at `root`.
`static Dataset` | `basicTreeParameters(Node root)` Performs basic tree parameters analysis on the graph starting at `root`.
`static Dataset` | `branchingPositions(Node root)` Create a list of branching positions on the graph starting at `root`.
`static Dataset` | `coordinates(Node root)` Performs coordinates analysis of GROGRA on the graph starting at `root`.
`static Dataset` | `crownLayers(Node root)` Performs crown layers analysis from GROGRA on the graph starting at `root`.
`static Dataset` | `diameterTable(Node root)` Creates a diameter table based on the graph starting at `root`.
`static Dataset` | `distributionAnalysis(Node root)` Performs distribution analysis from GROGRA on the graph starting at `root`.
`static Dataset` | `elementary(Node root)` Performs elementary analysis on the graph starting at `root`.
`static Dataset` | `lengthAndAngles(Node root)` Performs length and angles analysis from GROGRA on the graph starting at `root`.
`static Dataset` | `listOfAllShoots(Node root)` Create a list of all shoots on the graph starting at `root`.
`static Dataset` | `noOfDaughterShoots(Node root)` Create a list with number of daughter shoots on the graph starting at `root`.
`static Dataset` | `option3(Node root)` Performs option3 analysis from GROGRA on the graph starting at `root`.
`static Dataset` | `pathlengthAnalysis(Node root)` Performs pathlength analysis on the graph starting at `root`.
`static void` | `performAndShow(Item item, java.lang.Object info, Context context)`
`static Dataset` | `severalTreesAnalysis(Node root)` Performs elementary analysis of several trees on the graph starting at `root`.
`static Dataset` | `shootPopulation(Node root)` Performs shoot population analysis from GROGRA on the graph starting at `root`.
`static Dataset` | `stemAnalysis(Node root)` Performs stem analysis from GROGRA on the graph starting at `root`.
`static Dataset` | `topologicalAnalysis(Node root)` Performs topological analysis from GROGRA on the graph starting at `root`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### axesAnalysis

    public static Dataset axesAnalysis(Node root)

  Performs axes analysis from GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the axes analysis

### basicTreeParameters

    public static Dataset basicTreeParameters(Node root)

  Performs basic tree parameters analysis on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the result of the analysis for the basic tree parameters

### branchingPositions

    public static Dataset branchingPositions(Node root)

  Create a list of branching positions on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the list of branching positions

### coordinates

    public static Dataset coordinates(Node root)

  Performs coordinates analysis of GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the result of the coordinates analysis

### crownLayers

    public static Dataset crownLayers(Node root)

  Performs crown layers analysis from GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the crown layers data

### diameterTable

    public static Dataset diameterTable(Node root)

  Creates a diameter table based on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the diameter table

### distributionAnalysis

    public static Dataset distributionAnalysis(Node root)

  Performs distribution analysis from GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the distribution analysis

### elementary

    public static Dataset elementary(Node root)

  Performs elementary analysis on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the result of the elementary analysis

### lengthAndAngles

    public static Dataset lengthAndAngles(Node root)

  Performs length and angles analysis from GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the length and angles of the shoots

### listOfAllShoots

    public static Dataset listOfAllShoots(Node root)

  Create a list of all shoots on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the list of all shoots

### noOfDaughterShoots

    public static Dataset noOfDaughterShoots(Node root)

  Create a list with number of daughter shoots on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the list with number of daughter shoots

### option3

    public static Dataset option3(Node root)

  Performs option3 analysis from GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the result of option3 from GROGRA

### pathlengthAnalysis

    public static Dataset pathlengthAnalysis(Node root)

  Performs pathlength analysis on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the result of the pathlength analysis

### performAndShow

    public static void performAndShow(Item item,
                                      java.lang.Object info,
                                      Context context)

### severalTreesAnalysis

    public static Dataset severalTreesAnalysis(Node root)

  Performs elementary analysis of several trees on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the result of the elementary analysis of several trees

### shootPopulation

    public static Dataset shootPopulation(Node root)

  Performs shoot population analysis from GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the shoot population

### stemAnalysis

    public static Dataset stemAnalysis(Node root)

  Performs stem analysis from GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the stem analysis

### topologicalAnalysis

    public static Dataset topologicalAnalysis(Node root)

  Performs topological analysis from GROGRA on the graph starting at `root`.

  Parameters:
    `root` - start node
  Returns:
    dataset containing the topological analysis

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD